Name:           perl-Path-Tiny
Version:        0.144
Release:        1
Summary:        Provides a small, fast utility for working with file paths
License:        ASL 2.0
URL:            https://metacpan.org/pod/Path::Tiny
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Path-Tiny-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(Config) perl(constant) perl(Cwd) perl(Digest) >= 1.03
BuildRequires:  perl(Digest::MD5) perl(Digest::SHA) >= 5.45 perl(Encode) perl(Exporter) >= 5.57
BuildRequires:  perl(Fcntl) perl(File::Copy) perl(File::Glob) perl(File::Path) >= 2.07
BuildRequires:  perl(File::Spec) >= 0.86 perl(File::stat) perl(File::Temp) >= 0.19
BuildRequires:  perl(overload) perl(strict) perl(threads) perl(warnings) perl(warnings::register)
BuildRequires:  perl(blib) perl(File::Basename) perl(File::Spec::Functions) perl(File::Spec::Unix)
BuildRequires:  perl(File::Temp) >= 0.19 perl(lib) perl(open) perl(Test::More) >= 0.96
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(CPAN::Meta::Prereqs) perl(Test::FailWarnings)
BuildRequires:  perl(Unicode::UTF8) >= 0.58
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Cwd)
Requires:       perl(Digest) >= 1.03 perl(Digest::MD5) perl(Digest::SHA) >= 5.45 perl(Encode)
Requires:       perl(Fcntl) perl(File::Copy) perl(File::Glob) perl(File::Path) >= 2.07
Requires:       perl(File::stat) perl(File::Temp) >= 0.18 perl(threads) perl(warnings::register)
Requires:       perl(Unicode::UTF8) >= 0.58

%description
This module provides a small, fast utility for working with file paths.
It is friendlier to use than File::Spec and provides
easy access to functions from several other core file handling modules.
It aims to be smaller and faster than many alternatives on CPAN,
while helping people do many common things in consistent and less error-prone ways.

%package_help

%prep
%autosetup -n Path-Tiny-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Path/

%files help
%doc Changes CONTRIBUTING.mkdn README
%{_mandir}/man3/Path::Tiny.3*

%changelog
* Thu Jun 15 2023 wulei <wu_lei@hoperun.com> - 0.144-1
- Update to 0.144

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.122-1
- Upgrade to version 0.122

* Wed Nov 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.11-2
- Package init
